#!/bin/bash
ir="irsend SEND_ONCE light"

# No input ################################################
if [ "$1" = "" ];then                                     #
 echo "'Magic Lighting' frontend by TDGalea."             #
 echo "For usage with config by ---"                      #
 echo "Usage:"                                            #
 echo "light <command> <param>"                           #
 echo ""                                                  #
 echo "Use 'light help' more information."                #
 echo ""                                                  #
 exit 0                                                   #
fi                                                        #
# Help ####################################################
if [ "$1" = "help" ];then                                 #
 echo "Usage:"                                            #
 echo "light <command> <param>"                           #
 echo ""                                                  #
 echo "Commands:"                                         #
 cat /etc/lirc/lircd.conf|grep KEY_|grep -o "#.........." #
 echo "# blink"                                           #
 echo ""                                                  #
 echo "<Param> = up / down"                               #
 echo "Used with command 'blink'."                        #
 echo ""                                                  #
 exit 0                                                   #
fi                                                        #
###########################################################

# Power ###########################
if [ "$1" = "on" ];then           #
 $ir key_power                    #
fi;if [ "$1" = "off" ];then       #
 $ir key_power2                   #
fi                                #
# Brightness ######################
if [ "$1" = "up" ];then           #
 $ir key_brightnessup             #
fi;if [ "$1" = "down" ];then      #
 $ir key_brightnessdown           #
fi                                #
# Colours #########################
if [ "$1" = "red" ];then          #
 $ir key_r                        #
fi;if [ "$1" = "green" ];then     #
 $ir key_g                        #
fi;if [ "$1" = "blue" ];then      #
 $ir key_b                        #
fi;if [ "$1" = "white" ];then     #
 $ir key_w                        #
fi;if [ "$1" = "orange" ];then    #
 $ir key_o                        #
fi;if [ "$1" = "lgreen" ];then    #
 $ir key_kp1                      #
fi;if [ "$1" = "lblue" ];then     #
 $ir key_kp2                      #
fi;if [ "$1" = "lred" ];then      #
 $ir key_kp3                      #
fi;if [ "$1" = "turquoise" ];then #
 $ir key_t                        #
fi;if [ "$1" = "purple" ];then    #
 $ir key_kp5                      #
fi;if [ "$1" = "lorange" ];then   #
 $ir key_kp6                      #
fi;if [ "$1" = "aqua" ];then      #
 $ir key_kp7                      #
fi;if [ "$1" = "yellow" ];then    #
 $ir key_y                        #
fi;if [ "$1" = "lilac" ];then     #
 $ir key_kp8                      #
fi;if [ "$1" = "cblue" ];then     #
 $ir key_kp9                      #
fi;if [ "$1" = "pink" ];then      #
 $ir key_p                        #
fi                                #
# Modes ###########################
if [ "$1" = "flash" ];then        #
 $ir key_f1                       #
fi;if [ "$1" = "strobe" ];then    #
 $ir key_f2                       #
fi;if [ "$1" = "fade" ];then      #
 $ir key_f3                       #
fi;if [ "$1" = "smooth" ];then    #
 $ir key_f4                       #
fi                                #
###################################

# Blink ###############################
if [ "$1" = "blink" ];then            #
 if [ "$2" = "" ];then                #
  echo "Parameter required <on/off>." #
  echo ""                             #
  exit 0                              #
 fi                                   #
                                      #
 slp="sleep 0.01"                     #
 x=4                                  #
 until [ "$x" = "0" ];do              #
  $ir key_power                       #
  $slp                                #
  $ir key_power2                      #
  $slp                                #
  let x=x-1                           #
 done                                 #
 $ir key_power                        #
 if [ "$2" = "off" ];then             #
  $ir key_power2                      #
 fi                                   #
 exit 0                               #
fi                                    #
#######################################
exit 0
